#include "mainwindow.h"
#include "ui_mainwindow.h"

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
    connect(ui->pushButton, &QPushButton::clicked, this, [&]() {
        emit clicked(ui->lineEdit->text());
    });
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::setText(const QString &text)
{
    ui->label->setText(text);
}
